2014-10-27  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* .hgtags:
	Added tag v0.7.0 for changeset 3c78153fc3cb
	[3daf21c3b626] [tip]

	* openbox-menu.h:
	Change version to 0.7.0 as it targets menu-cache 0.7.0
	[3c78153fc3cb] [v0.7.0]

	* menu.c:
	Warn if XDG_MENU_PREFIX is set. This cause trouble with menu-cache
	0.7
	[b42fd73621d6]

	* utils.c:
	Won't crash if menu entry doesn't have exec key (thanks LStranger)
	[6a67e27a21a6]

2014-05-30  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* utils.c:
	Fix quote XML entity name, it is obviously named &quot;
	[414186d93f26]

2013-11-30  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* .hgtags:
	Added tag v0.5.1 for changeset d03ae08b6710
	[d8857e942f8c]

	* .hgtags:
	Removed tag v0.5.1
	[d03ae08b6710] [v0.5.1]

	* ob_display.c:
	Fix missing double quote (issue #3)
	[2c8ef0cbc8f4]

2013-11-24  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* .hgtags:
	Added tag v0.5.1 for changeset ffbe369c5cbd
	[728467bbe0e6]

	* openbox-menu.h:
	Bump to 0.5.1
	[ffbe369c5cbd]

	* README.md:
	Documentation updated
	[abc31487545b]

2013-11-17  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* ob_display.c:
	small change in XML template.
	[a3176b559389]

	* menu.c, ob_display.c, openbox-menu.h:
	Header and footer flags were removed. A XML template can be used
	instead (-T flags).
	[f2e2f8aa7463]

2013-11-11  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* README.md:
	Documentation correction
	[bb1d0bc4df6c]

	* ob_display.c:
	XML definition header added
	[51972bddb66a]

2013-11-09  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* README.md:
	line feeds removed in documentation
	[9329bcdd2b23]

	* README.md:
	Add custom header and footer section in documentation
	[e5f33a1cc4b3]

2013-11-04  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* TODO:
	TODO updated
	[cf2a78005b52]

2013-11-03  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* ob_display.c:
	Drop menu_cache_get_root_dir as it is marked as deprecated since
	0.3.4
	[50f75e1603d5]

	* menu.c, ob_display.c, openbox-menu.h, utils.c:
	Header and footer of the pipe-menu may be customize by user with -H
	and -F parameters. Minor changes in doc
	[2b97a171fdff]

	* menu.c, ob_display.c, openbox-menu.h:
	Error code retreived from callback
	[62e9c9e90c59]

	* menu.c, ob_display.c, openbox-menu.h, utils.c:
	Cold and rainy day: big changes in code
	[7ff8f172d1f3]

	* menu.c, openbox-menu.h:
	Use of a context to configure the program
	[0a9c0f5aac1b]

2013-10-26  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* README.md:
	Markdown syntax modification
	[fb3d86453f1b]

	* README.md:
	Example added in documentation
	[ead077817a39]

2013-10-25  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* README.md:
	README update
	[21d95458fade]

	* openbox-menu.h:
	A sort of version check added in order to inform user of older
	version of menu-cache during compilation
	[40f2d7b6d415]

	* menu.c:
	Changes in check_application_menu documentation
	[04e8f25ac257]

	* menu.c:
	Openbox can use user custom menus.

	XDG_CONFIG_DIRS is used to set ordered base directories for
	configuration as defined in XDG base directory specification.
	[e113bcf53407]

2013-10-24  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* menu.c, openbox-menu.h:
	date updated
	[4d3588e67180]

	* menu.c:
	menu_cache_lookup is called when openbox-menu is ran in persistent
	mode.
	[6c35466488e3]

	* menu.c:
	get_application_menu 2: the return.
	[3a02f28aff65]

2013-10-17  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* menu.c:
	free output variable only if it is allocated
	[86e1c4b18cdd]

	* menu.c:
	Fix bad propagated error return
	[409a1bb496e4]

2013-10-16  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* menu.c:
	Remove tests on xdg menu files asLibmenu-cache seems to take care of
	non-existent files and XDG_PREFIX value.
	[82f72f650e44]

2013-08-20  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* .hgtags:
	Added tag v0.5.0 for changeset 4974c50d687e
	[0e52ecf29860]

	* ChangeLog, openbox-menu.h:
	Definitively the 0.5.0 version.
	[4974c50d687e] [v0.5.0]

	* .hgtags:
	Removed tag v0.5.0
	[3705bd7152a7]

	* .hgtags:
	Added tag v0.5.0 for changeset c32044967c4d
	[b11386081931]

	* menu.c:
	No need to free reload_notify_id, this is done by
	menu_cache_remove_reload_notify.
	[c32044967c4d]

2013-08-18  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* archlinux/PKGBUILD:
	removed from PKGBUILD.
	[482c6b01756a]

	* Makefile, README.md, menu.c:
	Add SVG support. Documentation updated (the unfinished installation
	section was dropped off).
	[11f48b6a2f4b]

	* README, README.md:
	Documentation changed
	[ea259bf1ef4d]

2013-07-26  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* archlinux/PKGBUILD:
	PKGBUILD updated for Bitbucket
	[16fb2c617efb]

2013-07-16  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* .hgtags:
	Added tag v0.4.99 for changeset aec5f6b3bb4b
	[2e6244b2b2fb]

	* ChangeLog, openbox-menu.h:
	Bump to 0.4.99
	[aec5f6b3bb4b] [v0.4.99]

2013-07-14  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* Makefile:
	Makefile: Add a test for xml output (xmllint)
	[803dcfbcce0d]

2013-07-13  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* archlinux/PKGBUILD:
	Add mercurial to makedepends
	[0c72409539f6]

	* menu.c:
	Fix a structure not zeroed, causing some internal flags to be set
	[217aea6dd615]

2013-06-02  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* TODO:
	TODO updated
	[944c81cdb4e9]

	* Makefile, menu.c, openbox-menu.h:
	If no menu is provided in the command line then applications.menu is
	used (prefixed by XDG_MENU_PREFIX env. variable content if defined).
	The presence of the menu is tested.
	[223c0985f5d0]

2013-05-26  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* TODO:
	TODO added
	[ca7e1b36c225]

	* menu.c:
	Fix non persistent mode + header typo causing an invalid xml output
	[4059fb079edb]

	* arch/PKGBUILD, archlinux/PKGBUILD:
	arch directory renamed as archlinux
	[82d6115c0900]

	* arch/PKGBUILD:
	PKGBUILD: added conflicts and provides keys
	[850f4c8cd3c6]

	* arch/PKGBUILD:
	PKGBUILD: updated for mercurial version
	[35d948d8b998]

2013-01-05  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* Makefile:
	Makefile: set CC to gcc. Stripping extra infos from executable when
	invoking 'make install'.
	[9b1bd4c57d2c]

2013-01-03  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* menu.c:
	Comments
	[b54094e2979d]

2013-01-02  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* menu.c:
	Fix the type of menu_cache_add_reload_notify callback
	[8530e4ad953a]

	* menu.c:
	reload_notify_id needed to be freed
	[4cee4b95a6bf]

	* menu.c, openbox-menu.h:
	Most of global variables were moved into a structure. Now a pointer
	is passed to functions that need some of theses values.
	[b15eb042ec76]

	* menu.c:
	gdk_init () is not needed
	[cd40b9606841]

	* menu.c:
	Typo
	[010a2e5db613]

2012-12-02  mimas  <mimasgpc@free.fr>

	* arch/PKGBUILD:
	PKGBUILD updated (md5sums)
	[015af8afb723]

	* .hgtags:
	Added tag v0.3.6.8 for changeset 64441862ddf4
	[ff110661f841]

	* ChangeLog, Makefile, arch/PKGBUILD, menu.c:
	Fix the bug causing openbox-menu to not show the menu with menu-
	cache 0.4.x
	[64441862ddf4] [v0.3.6.8]

2012-11-25  Pierre Ferry  <biloucat@gmail.com>

	* arch/PKGBUILD:
	Update PKGBUILD
	[3cdda94758d1]

2012-06-30  mimas  <mimasgpc@free.fr>

	* Makefile:
	Oops, restoring commented line in Makefile
	[84d5728c5105]

	* Makefile, menu.c:
	-i (--no-icons) makes its comeback
	[2506108c7569]

	* arch/PKGBUILD:
	Add gtk2 dep in PKGBUILD
	[5a0b8f077c35]

	* Makefile, README, menu.c:
	Add a flag to compile openbox-menu without icons (it has disapeared
	in a misterious way)
	[044afe1a1c01]

2012-05-07  mimas  <mimasgpc@free.fr>

	* ChangeLog, Makefile:
	Add a Makefile rule to build an up-to-date changelog. I may remember
	to use it before a new release. :)
	[3a4a6b33befb]

	* Makefile:
	/usr/local is the prefix by default. It can be changed by using
	'make install DESTDIR=/prefix'
	[b7b0442c62e4]

	* Makefile:
	Makefile changes
	[32e13cd2f4cd]

	* menu.c, openbox-menu.h:
	Fix copyright dates
	[84f44c77d5f5]

	* Makefile:
	Fix an unwanted error in make clean.
	[2a651118b437]

2012-05-06  mimas  <mimasgpc@free.fr>

	* arch/PKGBUILD:
	Add a PKGBUILD for Archlinux.
	[b2f1e85c112c]

2012-05-04  mimas  <mimasgpc@free.fr>

	* .hgtags:
	Added tag v0.3.6.7 for changeset 8aec06a01452
	[101270e8be5a]

	* openbox-menu.h:
	Bump to 0.3.6.7
	[8aec06a01452] [v0.3.6.7]

	* THANKS:
	THANKS file added
	[a1ef762d1bad]

2012-04-28  mimas  <mimasgpc@free.fr>

	* Makefile:
	An install rule was added (Makefile)
	[d7413d3d4f9d]

2012-02-20  mimas  <mimasgpc@free.fr>

	* Makefile, menu.c:
	Patch for Makefile from Sławomir Nizio
	[2096818a39ce]

2012-01-01  mimas  <mimasgpc@free.fr>

	* menu.c:
	Adding GError for g_option_context_parse
	[73ddcc292ef7]

2011-12-28  mimas  <mimasgpc@free.fr>

	* menu.c:
	Comment removed
	[2ff237350f5a]

2011-12-25  mimas  <mimasgpc@free.fr>

	* menu.c:
	Handle SIGINT & SIGTERM signals to make a g_main_loop_quit
	[ed49034d2062]

2011-12-21  mimas  <mimasgpc@free.fr>

	* Makefile, menu.c, openbox-generator.c, openbox-menu.h:
	Major code modification, nearly a complete rewrite of openbox-menu.
	- use of GString for the menupipe content.
	- add a persistent mode.
	- can write the XML into a file.
	- many fixes and code rewrite.
	- startup notification is back.
	- ...
	[e4e3a596ffd9]

2011-12-18  mimas  <mimasgpc@free.fr>

	* Makefile, menu.c, openbox-generator.c:
	Add a conditional flag that permits to compile openbox-menu without
	gtk and icons
	[0f22230ff265]

2011-11-13  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* .hgtags:
	Added tag v0.3.6.6 for changeset 989c9da7fd1d
	[e2e768ef9148]

	* openbox-menu.h:
	Bump to 0.3.6.6
	[989c9da7fd1d] [v0.3.6.6]

	* menu.c:
	Fix a comment
	[df37bffd2646]

	* menu.c:
	2nd fallback added, now every entry should have its icon
	[25ef8cb10dae]

	* menu.c:
	fallback for icon search
	[ce0ba620bc2a]

	* menu.c:
	use of strrchr()
	[0d0d4fd67e3c]

2011-11-07  Fabrice THIROUX  <fabrice.thiroux@free.fr>

	* .hgtags:
	Added tag v0.3.6.4 for changeset 2cc5c76a2581
	[a7cd8e156735]

	* .hgtags:
	Added tag v0.3.6.5 for changeset a68d53a9e5a3
	[cc713467b019]

	* .hgtags:
	Added tag v0.3.6.3 for changeset ce182c3b44d0
	[fbdebfd4f3da]

2011-11-06  mimas  <mimasgpc@free.fr>

	* .hgtags:
	Added tag v0.3.6.1 for changeset 85b6eda07d65
	[eec07eb13f24]

	* .hgtags:
	Added tag v0.3.6 for changeset 607cb011a046
	[15ca70f8c5ef]

2011-10-15  mimas  <mimasgpc@free.fr>

	* menu.c:
	Change the way Exec field codes should be treated. I have to RTFM
	more often, it was written in Freedesktop specification file. Stupid
	me!
	[20649de297ef]

	* menu.c:
	Exec parsing now stops on % or " signs. This prevents this kind of
	bug: http://ctkarch.org/forum/viewtopic.php?id=2&t_id=136

	I'm not very happy with this solution as it may remove some extra
	args but arguments between double quotes, not "%X" freedesktop-
	likes, should be very rare in .desktop files.
	[3d3fa658da9f]

2011-08-31  mimas  <mimasgpc@free.fr>

	* openbox-menu.h:
	Bump to 0.3.6.5
	[a68d53a9e5a3] [v0.3.6.5]

	* menu.c, openbox-generator.c, openbox-menu.h:
	Fix horrible programming syntax (thanks CaliméroTeknik)
	get_icon_path() replaced by get_item_icon_path(). It makes calls to
	this function a lot shorter.
	[006b8a7fc5a0]

	* menu.c:
	sakura replaced by xterm
	[d933c131cd55]

2011-08-29  mimas  <mimasgpc@free.fr>

	* openbox-menu.h:
	Bump to 0.3.6.4
	[2cc5c76a2581] [v0.3.6.4]

	* menu.c, openbox-generator.c, openbox-menu.h:
	Menu generation is now separated from "core" engine.
	[45f256d024ba]

2011-08-21  mimas  <mimasgpc@free.fr>

	* menu.c:
	Using a sync method for generating the menu + Various minor changes
	in code.
	[da239c6a084b]

2011-08-11  mimas  <mimasgpc@free.fr>

	* menu.c:
	Bump to version 0.3.6.3
	[ce182c3b44d0] [v0.3.6.3]

	* menu.c:
	gtk_icon_theme_lookup_icon should not fail to lookup current theme
	icon.
	[fd7a645c3d6f]

2011-08-06  mimas  <mimasgpc@free.fr>

	* menu.c:
	g_error() -> g_warning()
	[8fed260dbbef]

	* menu.c:
	Who needs a break here?
	[c3ffbf0723fe]

	* menu.c:
	Support for startup-notification removed. It is buggy with openbox
	3.50 and I don't even know the real utility of SN. Some old code
	related to LXDE desktop removed too.
	[9fee09f25373]

2011-08-06  mimasgpc  <mimasgpc@free.fr>

	* menu.c:
	A menu error message more explicit
	[6e00f27f9150]

	* menu.c:
	I didn't really love the old code formatting. Get back to a more
	concise one
	[ce2cf4d5636d]

2011-08-03  mimas  <mimasgpc@free.fr>

	* Makefile:
	Fix new dependencies in Makefile
	[88a797541092]

	* menu.c:
	Big code changes, to much to write about it.

	Feature added : icons in menus. Yes ! (openbox 3.5.0 required) New
	dependencies : gtk+ 2 and gdk.
	[096517229b57]

2011-03-15  mimas  <mimasgpc@free.fr>

	* menu.c:
	Bump to 0.3.6.1
	[85b6eda07d65] [v0.3.6.1]

	* ChangeLog:
	Changelog updated
	[4794d87aebbb]

2011-03-11  mimas  <mimasgpc@free.fr>

	* menu.c:
	(re)fix goption flags
	[9e0c23a3e6f9]

	* menu.c:
	GOptionContext warning fixes (glib 2.28)
	[59eca416e9c0]

2011-02-20  mimas  <mimasgpc@free.fr>

	* menu.c:
	Fix headers and change some formating
	[f1ce9d7a9423]

2011-02-15  mimas  <mimasgpc@free.fr>

	* menu.c:
	Bump to 0.3.6
	[607cb011a046] [v0.3.6]

	* .hgignore, AUTHORS, COPYING, ChangeLog, Makefile, menu.c:
	First commit
	[236107f09e6c]

